package com.cit.sellfan.ui.pannelli;

import com.cit.sellfan.business.VariabiliGlobali;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevCheckBox;
import com.xdev.ui.XdevVerticalLayout;

public class pannelloPagineDataSheet extends Panel {
	private VariabiliGlobali l_VG;

	/**
	 * 
	 */
	public pannelloPagineDataSheet() {
		super();
		this.initUI();
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
		Nazionalizza();
		this.checkBoxFrontespizio.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Frontespizio"));
		if (this.l_VG.MobileMode) {
			this.checkBoxPrestazioni.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Prestazioni") && this.l_VG.MainView.prestazioniMobile.isPreSetVentilatoreCurrentOK());
		} else {
			this.checkBoxPrestazioni.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Prestazioni") && this.l_VG.MainView.prestazioni.isPreSetVentilatoreCurrentOK());
		}
		this.checkBoxSpettro.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Rumore") && this.l_VG.MainView.spettrosonoro.isPreSetVentilatoreCurrentOK() && this.l_VG.currentUserSaaS.idClienteIndex == 4 && this.l_VG.VentilatoreCurrent.ApertoSpettro);
		this.checkBoxMultigiri.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Multigiri") && this.l_VG.MainView.multigiri.isPreSetVentilatoreCurrentOK() && this.l_VG.currentUserSaaS.idClienteIndex == 4 && this.l_VG.VentilatoreCurrent.ApertoMultigiri);
		boolean isVisible = this.l_VG.utilityCliente.isDatasheetStampabile("DimensioniAngolo") && this.l_VG.MainView.dimensioniAngolo.isPreSetVentilatoreCurrentOK();
		String str = Boolean.toString(isVisible)+"  ";
		isVisible = isVisible || this.l_VG.utilityCliente.isDatasheetStampabile("Dimensioni") && this.l_VG.MainView.dimensioni.isPreSetVentilatoreCurrentOK();
		str = str+Boolean.toString(this.l_VG.utilityCliente.isDatasheetStampabile("Dimensioni") && this.l_VG.MainView.dimensioni.isPreSetVentilatoreCurrentOK())+"  ";
		//Notification.show(str);
		//this.checkBoxDimensioni.setVisible((this.l_VG.utilityCliente.isDatasheetStampabile("Dimensioni") || this.l_VG.utilityCliente.isDatasheetStampabile("DimensioniAngolo")) && this.l_VG.MainView.dimensioniAngolo.isPreSetVentilatoreCurrentOK());
		this.checkBoxDimensioni.setVisible(isVisible);
		this.checkBoxConfronto.setVisible(this.l_VG.utilityCliente.isDatasheetStampabile("Confronto") && this.l_VG.currentUserSaaS.idClienteIndex == 4);
	}
	
	public void Nazionalizza() {
		this.checkBoxFrontespizio.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Riepilogo"));
		this.checkBoxPrestazioni.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Prestazioni"));
		this.checkBoxSpettro.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Spettro Sonoro"));
		this.checkBoxMultigiri.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Multigiri"));
		this.checkBoxDimensioni.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Dimensioni"));
		this.checkBoxConfronto.setCaption(this.l_VG.utilityTraduzioni.TraduciStringa("Confronto"));
	}
	
	public boolean getFrontespizio() {
		return this.checkBoxFrontespizio.getValue();
	}
	
	public boolean getPrestazioni() {
		return this.checkBoxPrestazioni.getValue();
	}
	
	public boolean getSpettro() {
		return this.checkBoxSpettro.getValue();
	}
	
	public boolean getMultigiri() {
		return this.checkBoxMultigiri.getValue();
	}
	
	public boolean getDimensioni() {
		return this.checkBoxDimensioni.getValue();
	}
	
	public boolean getConfronto() {
		return this.checkBoxConfronto.getValue();
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.checkBoxFrontespizio = new XdevCheckBox();
		this.checkBoxPrestazioni = new XdevCheckBox();
		this.checkBoxSpettro = new XdevCheckBox();
		this.checkBoxMultigiri = new XdevCheckBox();
		this.checkBoxDimensioni = new XdevCheckBox();
		this.checkBoxConfronto = new XdevCheckBox();
		
		this.checkBoxFrontespizio.setCaption("Frontespizio");
		this.checkBoxPrestazioni.setCaption("Prestazioni");
		this.checkBoxSpettro.setCaption("Spettro Sonoro");
		this.checkBoxMultigiri.setCaption("Multigiri");
		this.checkBoxDimensioni.setCaption("Dimensioni");
		this.checkBoxConfronto.setCaption("Confronto");
		
		this.checkBoxFrontespizio.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxFrontespizio);
		this.verticalLayout.setComponentAlignment(this.checkBoxFrontespizio, Alignment.MIDDLE_CENTER);
		this.checkBoxPrestazioni.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxPrestazioni);
		this.verticalLayout.setComponentAlignment(this.checkBoxPrestazioni, Alignment.MIDDLE_CENTER);
		this.checkBoxSpettro.setSizeUndefined();
		
		this.verticalLayout.addComponent(this.checkBoxSpettro);
		this.verticalLayout.setComponentAlignment(this.checkBoxSpettro, Alignment.MIDDLE_CENTER);
		this.checkBoxMultigiri.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxMultigiri);
		this.verticalLayout.setComponentAlignment(this.checkBoxMultigiri, Alignment.MIDDLE_CENTER);
		this.checkBoxDimensioni.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxDimensioni);
		this.verticalLayout.setComponentAlignment(this.checkBoxDimensioni, Alignment.MIDDLE_CENTER);
		this.checkBoxConfronto.setSizeUndefined();
		this.verticalLayout.addComponent(this.checkBoxConfronto);
		this.verticalLayout.setComponentAlignment(this.checkBoxConfronto, Alignment.MIDDLE_CENTER);
		final CustomComponent verticalLayout_spacer = new CustomComponent();
		verticalLayout_spacer.setSizeFull();
		this.verticalLayout.addComponent(verticalLayout_spacer);
		this.verticalLayout.setExpandRatio(verticalLayout_spacer, 1.0F);
		this.verticalLayout.setWidth(298, Unit.PIXELS);
		this.verticalLayout.setHeight(210, Unit.PIXELS);
		this.setContent(this.verticalLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevCheckBox checkBoxFrontespizio, checkBoxPrestazioni, checkBoxSpettro, checkBoxMultigiri, checkBoxDimensioni,
			checkBoxConfronto;
	private XdevVerticalLayout verticalLayout;
	// </generated-code>

}
